Table of Contents

## Name

im_gaussnoise - creates a gaussian noisy picture

## Synopsis

#include <vips/vips.h>

int im_gaussnoise(image, xsize, ysize, mean, sigma)
IMAGE *image;
int xsize, ysize;
double mean, sigma;

## Description

im_gaussnoise() creates a float one band gaussian noise picture of size xsize by ysize. The created image has mean mean and square root of variance equal to sigma. The noise is generated by averaging 12 random numbers.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_grey(3) , im_addgnoise(3) .

## Copyright

N. Dessipris

## Author

N. Dessipris - 10/05/1991

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author